VUZDevelopers

List inventory counts

GET
/inventory/counts

Get all inventory counts with filtering and pagination

X-Api-Key<token>

Business API key, e.g. vuz_ab12cdef... Created via Settings → Integrations → API Keys. Unlike partner keys, a public API key's STRING does not encode its environment — isolation instead comes from a completely separate sandbox database: a key minted on the Sandbox server (above) only ever reads/writes sandbox data and can never see or affect production, regardless of what the key looks like.

In: header

Query Parameters

status?string

Filter by status

Value in

  • "draft"
  • "in_progress"
  • "pending_review"
  • "approved"
  • "completed"
  • "cancelled"
countType?string

Filter by count type

Value in

  • "annual"
  • "cycle"
  • "spot"
  • "initial"
warehouseId?string

Filter by warehouse ID

fiscalYear?number

Filter by fiscal year

page?number

Page number

Default1
limit?number

Items per page

Default20

Header Parameters

x-business-id*string

Business ID

Response Body

application/json

curl -X GET "https://example.com/inventory/counts" \  -H "x-business-id: string"
{  "items": [    {      "id": "string",      "name": "string",      "countType": "annual",      "status": "draft",      "countDate": "2019-08-24T14:15:22Z",      "fiscalYear": 0,      "warehouseId": "string",      "warehouseName": "string",      "startingSheetNumber": 0,      "endingSheetNumber": 0,      "totalItems": 0,      "itemsWithVariance": 0,      "totalSystemValue": 0,      "totalCountedValue": 0,      "totalVarianceValue": 0,      "createdBy": "string",      "createdByName": "string",      "approvedBy": "string",      "approvedByName": "string",      "approvedAt": "2019-08-24T14:15:22Z",      "completedAt": "2019-08-24T14:15:22Z",      "notes": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "total": 0}